# Uses of Interface
java.lang.classfile.instruction.InvokeInstruction

Packages that use InvokeInstruction
Package
Description
java.lang.classfile.instruction
Provides interfaces describing code instructions for the `java.lang.classfile` library.

## Uses of InvokeInstruction in java.lang.classfile.instruction

Methods in java.lang.classfile.instruction that return InvokeInstruction
Modifier and Type
Method
Description
`static InvokeInstruction`
InvokeInstruction.`of(Opcode op, ClassEntry owner, NameAndTypeEntry nameAndType, boolean isInterface)`
Returns an invocation instruction.
`static InvokeInstruction`
InvokeInstruction.`of(Opcode op, ClassEntry owner, Utf8Entry name, Utf8Entry type, boolean isInterface)`
Returns an invocation instruction.
`static InvokeInstruction`
InvokeInstruction.`of(Opcode op, MemberRefEntry method)`
Returns an invocation instruction.